package com.chelvc.cloud.vehicle.client.constant;

import lombok.Getter;

/**
 * 促销状态枚举
 *
 * @author qizai
 * @date 2023/9/10
 */
@Getter
public enum PromotionStatus {
    /**
     * 新建
     */
    NEW("新建"),
    /**
     * 开始
     */
    START("开始"),
    /**
     * 结束
     */
    END("结束"),
    /**
     * 关闭
     */
    CLOSE("关闭");

    /**
     * 状态描述
     */
    private final String description;

    PromotionStatus(String description) {
        this.description = description;
    }
}
