package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 商家排名计算信息
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantRankCountDTO implements Serializable {

    private static final long serialVersionUID = -8220382300856423786L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 当月营业额
     */
    private BigDecimal amount;
}
