package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.server.entity.MerchantAuth;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * 商家认证操作接口
 *
 * @author liude
 * @date 2023/12/10
 */
@Mapper
public interface MerchantAuthMapper extends BaseMapper<MerchantAuth> {
    @Update("update merchant_auth set review_status = #{reviewStatus}, message = #{message} where id = #{id}")
    int updateStatusById(@Param("id") Long id, @Param("reviewStatus") String reviewStatus, @Param("message") String message);

    @Update("update merchant_auth set review_status = #{reviewStatus}, message = #{message} where applicant = #{userId}")
    int updateStatusByUserId(@Param("userId") Long userId, @Param("reviewStatus") String reviewStatus, @Param("message") String message);
}
