package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderRefund;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface OmsOrderRefundMapper extends BaseMapper<OmsOrderRefund> {

    @Select("select count(1) from oms_order_refund where order_id = #{orderId} and status in (0,1)")
    int queryApplyOrder(@Param("orderId") Long orderId);
}
