package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.client.dto.PlatformProfitRatioDTO;
import com.chelvc.cloud.vehicle.client.param.EditPlatformProfitRatioParam;
import com.chelvc.cloud.vehicle.client.param.QueryPlatformProfitRatioParam;
import com.chelvc.framework.common.model.Pagination;

public interface PlatformProfitRatioService {

    void  updateProfitRatio();

    /**
     * 查看平台对商家抽佣比例
     * @param merchantId
     * @return
     */
    int queryRatio(Long merchantId);

    int init(Long merchantId);

    void edit(EditPlatformProfitRatioParam param);

    Pagination<PlatformProfitRatioDTO> queryPageList(QueryPlatformProfitRatioParam param);
}
