package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.client.dto.ProfitRatioConfigDTO;
import com.chelvc.cloud.vehicle.client.param.AddProfitRatioConfigParams;
import com.chelvc.cloud.vehicle.client.param.EditProfitRatioConfigParams;
import com.chelvc.cloud.vehicle.client.param.QueryProfitRatioConfigParam;
import com.chelvc.cloud.vehicle.server.entity.ProfitRatioConfig;
import com.chelvc.framework.common.model.Pagination;

import java.util.List;

public interface ProfitRatioConfigService {

    List<ProfitRatioConfig> queryListByType(Integer type);

    ProfitRatioConfig queryByTypeAndLeast(Integer type);

    void add(AddProfitRatioConfigParams params);

    void edit(EditProfitRatioConfigParams params);

    void delete(Long id, Long userId);

    Pagination<ProfitRatioConfigDTO> queryPageList(QueryProfitRatioConfigParam param);
}
